# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Catalyst.pm) perl(Catalyst/Action/RenderView.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Engine/HTTP.pm) perl(Catalyst/Helper.pm) perl(Catalyst/Model.pm) perl(Catalyst/Plugin/ConfigLoader.pm) perl(Catalyst/Plugin/Static/Simple.pm) perl(Catalyst/Runtime.pm) perl(Catalyst/ScriptRunner.pm) perl(Catalyst/Test.pm) perl(Catalyst/View.pm) perl(Catalyst/View/TT.pm) perl(Config.pm) perl(Config/General.pm) perl(Cwd.pm) perl(DBD/Pg.pm) perl(DBD/SQLite.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Copy/Recursive.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(PAR/Dist.pm) perl(PAR/Repository/Client.pm) perl(PAR/Repository/Query.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Text.pm) perl(Pod/Usage.pm) perl(Socket.pm) perl(Template.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(lib.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name PAR-Repository-Web
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: A simple web viewer for PAR::Repository
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SM/SMUELLER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
PAR::Repository::Web is a simple (read-only) web interface to a the PAR::Repository manpage.
It can display the contents of one or more repositories, both local and remote.
The displayed information includes the list of distributions, scripts and modules provided.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_privlib/P*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

